=== debian/changelog ===
haproxy (2.0.16-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Jul 2020 17:06:31 +0200

haproxy (2.0.16-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: stream: Mark the server address as unset on new outgoing
                 connection
  * d/patches: refresh patches.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Jul 2020 13:50:56 +0200
