## haproxy 2.0.18

=== debian/changelog ===
haproxy (2.0.18-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 30 Sep 2020 18:23:31 +0200

haproxy (2.0.18-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 30 Sep 2020 13:41:09 +0200

haproxy (2.0.17-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Aug 2020 11:57:22 +0200

haproxy (2.0.17-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: dns: Make the do-resolve action thread-safe

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Aug 2020 20:05:01 +0200
