## haproxy 2.0.19

=== debian/changelog ===
haproxy (2.0.19-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Nov 2020 16:19:33 +0100

haproxy (2.0.19-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: mux-h2: Don't try to send data if we know it is no longer
                 possible

 -- Vincent Bernat <bernat@debian.org>  Fri, 06 Nov 2020 19:33:59 +0100
