=== debian/changelog ===
haproxy (2.0.31-0ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: info disclosure or end_rule issue via hash character
    - debian/patches/CVE-2023-45539.patch: do not accept '#' as part of the
      URI component in src/h1.c.
    - CVE-2023-45539

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Dec 2023 13:02:34 -0500

haproxy (2.0.31-0ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect handling of empty content-length header
    - debian/patches/CVE-2023-40225-1.patch: add a proper check for empty
      content-length header buffer in src/h1.c and src/h2.c. Also add
      tests for it in reg-tests/http-messaging/h1_to_h1.vtc and
      reg-tests/http-messaging/h2_to_h1.vtc.
    - debian/patches/CVE-2023-40225-2.patch: add a check for leading zero
      in content-length header buffer in src/h1.c and src/h2.c. Also add
      tests in reg-tests/http-rules/h1or2_to_h1c.vtc.
    - CVE-2023-40225

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Wed, 16 Aug 2023 18:14:42 -0300

haproxy (2.0.31-0ubuntu0.1) focal; urgency=medium

  * New upstream release (LP: #2012557).
    - Major and critical bug fixes according to the upstream changelog:
      + BUG/MAJOR: stick-tables: do not try to index a server name for applets
      + BUG/MAJOR: stick-table: don't process store-response rules for applets
      + BUG/MAJOR: buf: Fix copy of wrapping output data when a buffer is
        realigned
      + BUG/CRITICAL: http: properly reject empty http header field names
    - Remove patches applied by upstream in debian/patches:
      + CVE-2023-0056.patch
      + CVE-2023-25725.patch
    - Refresh existing patches in debian/patches:
      + 0002-Use-dpkg-buildflags-to-build-halog.patch
  * Backport DEP-8 tests from Lunar:
    - d/t/proxy-ssl-termination
    - d/t/proxy-ssl-pass-through

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 22 Mar 2023 17:39:46 -0300

haproxy (2.0.29-0ubuntu1.3) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect handling of empty http header field names
    - debian/patches/CVE-2023-25725.patch: properly reject empty http
      header field names in src/h1.c, src/hpack-dec.c, src/http_msg.c.
    - CVE-2023-25725

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Feb 2023 07:42:58 -0500

haproxy (2.0.29-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via certain interim responses
    - debian/patches/CVE-2023-0056.patch: refuse interim responses with
      end-stream flag set in src/mux_h2.c.
    - CVE-2023-0056

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Jan 2023 10:50:52 -0500
