=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-MAKEARGS=V=1 \
-	 DESTDIR=debian/haproxy \
+MAKEARGS=DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
 	 MANDIR=/usr/share/man \
@@ -33,7 +32,7 @@
 	MAKEARGS+= USE_REGPARM=1
 endif
 
-ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4,$(DEB_HOST_ARCH)),)
+ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
 	MAKEARGS+= ADDLIB="-latomic -Wl,--no-as-needed -lgcc_s -Wl,--as-needed"
 else
 	MAKEARGS+= ADDLIB="-Wl,--no-as-needed -lgcc_s -Wl,--as-needed"
