## haproxy 2.2.3

=== debian/changelog ===
haproxy (2.2.3-2) experimental; urgency=medium

  * d/patches: add upstream patch to fix build on ARM32

 -- Vincent Bernat <bernat@debian.org>  Wed, 09 Sep 2020 19:38:52 +0200

haproxy (2.2.3-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: dns: disabled servers through SRV records never recover

 -- Vincent Bernat <bernat@debian.org>  Tue, 08 Sep 2020 23:12:05 +0200

haproxy (2.2.2-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: dns: don't treat Authority records as an error
    - BUG/MAJOR: dns: fix null pointer dereference in
                 snr_update_srv_status

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Aug 2020 17:06:42 +0200

haproxy (2.2.1-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: tasks: don't requeue global tasks into the local
                 queue
    - BUG/MAJOR: dns: Make the do-resolve action thread-safe

 -- Vincent Bernat <bernat@debian.org>  Thu, 23 Jul 2020 13:39:14 +0200

haproxy (2.2.0-1) experimental; urgency=medium

  * New upstream version.
  * Upload to experimental
  * Update d/watch to look for 2.2 stable releases
  * d/gbp.conf: set branch names for 2.2
  * d/patches: refresh patches

 -- Vincent Bernat <bernat@debian.org>  Tue, 14 Jul 2020 16:53:23 +0200

haproxy (2.1.7-1) experimental; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Jun 2020 07:50:48 +0200

haproxy (2.1.5-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: mux-fcgi: Stop sending loop if FCGI stream is blocked for
                 any reason
    - Revert "BUG/MINOR: connection: always send address-less LOCAL PROXY
              connections"
    - Revert "BUG/MINOR: connection: make sure to correctly tag local
              PROXY connections"

 -- Vincent Bernat <bernat@debian.org>  Mon, 01 Jun 2020 08:52:56 +0200

haproxy (2.1.4-1) experimental; urgency=medium

  * New upstream version.
    - BUG/CRITICAL: hpack: never index a header into the headroom after
                    wrapping
    - BUG/MAJOR: http-ana: Always abort the request when a tarpit is
                 triggered
    - BUG/MAJOR: list: fix invalid element address calculation
    - BUG/MAJOR: proxy_protocol: Properly validate TLV lengths
  * d/control: fix maintainer address. Closes: #955553.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Apr 2020 13:29:54 +0200

haproxy (2.1.3-3) experimental; urgency=medium

  * d/copryight: document OpenSSL exception. Closes: #951782.
  * d/haproxy.cfg: use "ssl-min-ver" to set minimum version.
  * d/patches: fix an overflow in HTTP/2 header handling.
    Fix CVE-2020-11100.

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Apr 2020 21:18:57 +0200

haproxy (2.1.3-2) experimental; urgency=medium

  * d/dconv: use Python 3 to build the documentation.
    Closes: #948296, #950435.
  * d/dconv: replace cgi.escape by html.escape. Closes: #951416.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Feb 2020 07:53:53 +0100

haproxy (2.1.3-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: hashes: fix the signedness of the hash inputs
    - BUG/MAJOR: memory: Don't forget to unlock the rwlock if the pool is
                 empty.

 -- Vincent Bernat <bernat@debian.org>  Mon, 20 Jan 2020 06:53:23 +0100

haproxy (2.1.2-1) experimental; urgency=medium

  * New upstream version 2.1.2.
    - BUG/MAJOR: task: add a new TASK_SHARED_WQ flag to fix foreign requeuing
  * d/logrotate.conf: use rsyslog helper instead of SysV init script.
    Closes: #946973.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Dec 2019 08:20:33 +0100

haproxy (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1.
    - BUG/MAJOR: dns: add minimalist error processing on the Rx path

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2019 11:20:32 +0100

haproxy (2.1.0-2) experimental; urgency=medium

  * Link against libatomic on riscv64

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 29 Nov 2019 14:03:49 +0200

haproxy (2.1.0-1) experimental; urgency=medium

  * New upstream version 2.1.0
  * Upload to experimental
  * Update d/watch to look for 2.1 stable releases
  * d/gbp.conf: set branch names for 2.1
  * Bump Standards-Version to 4.4.1; no changes needed
  * Bump dh compat level to 12
    + B-D on debhelper-compat and remove debian/compat
    + Override dh_installsystemd with the same args as dh_installinit
    + Add ${misc:Pre-Depends} to haproxy's Pre-Depends

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 27 Nov 2019 23:30:30 +0200
