## haproxy 2.2.6

=== debian/changelog ===
haproxy (2.2.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 01 Dec 2020 09:20:10 +0100

haproxy (2.2.6-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: filters: Always keep all offsets up to date during data
                 filtering
    - BUG/MAJOR: peers: fix partial message decoding
    - BUG/MAJOR: spoe: Be sure to remove all references on a released spoe
                 applet
    - BUG/MAJOR: tcpcheck: Allocate input and output buffers from the buffer
                 pool
  * d/patches: remove patches applied upstream

 -- Vincent Bernat <bernat@debian.org>  Mon, 30 Nov 2020 20:02:49 +0100

haproxy (2.2.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Nov 2020 16:21:12 +0100

haproxy (2.2.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 09 Nov 2020 09:25:37 +0100

haproxy (2.2.5-1) experimental; urgency=medium

  * New upstream release.
    - BUG/MAJOR: mux-h2: Don't try to send data if we know it is no longer
                 possible
  * d/patches: warn if payload of an errorfile doesn't match the C-L

 -- Vincent Bernat <bernat@debian.org>  Sun, 08 Nov 2020 19:12:02 +0100

haproxy (2.2.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Oct 2020 21:38:00 +0200

haproxy (2.2.4-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: drop patch for ARM32

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Oct 2020 21:29:56 +0200

haproxy (2.2.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 09 Sep 2020 22:05:56 +0200

haproxy (2.2.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Aug 2020 17:23:11 +0200

haproxy (2.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 23 Jul 2020 19:40:30 +0200

haproxy (2.2.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 15 Jul 2020 08:57:08 +0200

haproxy (2.1.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Jun 2020 22:38:58 +0200

haproxy (2.1.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 01 Jun 2020 21:00:31 +0200

haproxy (2.1.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Apr 2020 13:38:02 +0200

haproxy (2.1.3-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Apr 2020 21:35:25 +0200

haproxy (2.1.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Feb 2020 11:07:00 +0100

haproxy (2.1.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Dec 2019 17:44:54 +0100

haproxy (2.1.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2019 11:24:57 +0100

haproxy (2.1.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 28 Nov 2019 21:51:05 +0100
