## haproxy 2.2.7

=== debian/changelog ===
haproxy (2.2.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 10 Jan 2021 13:55:11 +0100

haproxy (2.2.7-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: ring: tcp forward on ring can break the reader counter.
    - BUG/MAJOR: spoa/python: Fixing return None

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Jan 2021 15:31:08 +0100

haproxy (2.2.6-2) unstable; urgency=medium

  * d/tests: sleep before test to let Apache2 start.
    Closes: #976997.

 -- Vincent Bernat <bernat@debian.org>  Thu, 07 Jan 2021 07:56:14 +0100
