=== debian/changelog ===
haproxy (2.2.8-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jan 2021 14:06:55 +0100

haproxy (2.2.8-1) unstable; urgency=medium

  * New upstream release.
    - Revert "BUG/MINOR: dns: SRV records ignores duplicated AR records"

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jan 2021 11:48:52 +0100
